Package com.avaya.clientservices.media

## Enum AudioDevice.Type

- java.lang.Object
- - java.lang.Enum<AudioDevice.Type>
  - - com.avaya.clientservices.media.AudioDevice.Type

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<AudioDevice.Type>`
  Enclosing class:
    AudioDevice

      public static enum AudioDevice.Type
      extends java.lang.Enum<AudioDevice.Type>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BLUETOOTH_HEADSET` |
    `HANDSET` |
    `RJ9_HEADSET` |
    `SPEAKER` |
    `USB_HEADSET` |
    `WIRED_HEADSET` |
    `WIRED_SPEAKER` |
    `WIRELESS_HANDSET` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static AudioDevice.Type` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static AudioDevice.Type[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### WIRED_HEADSET

          public static final AudioDevice.Type WIRED_HEADSET

    - #### HANDSET

          public static final AudioDevice.Type HANDSET

    - #### SPEAKER

          public static final AudioDevice.Type SPEAKER

    - #### BLUETOOTH_HEADSET

          public static final AudioDevice.Type BLUETOOTH_HEADSET

    - #### WIRED_SPEAKER

          public static final AudioDevice.Type WIRED_SPEAKER

    - #### RJ9_HEADSET

          public static final AudioDevice.Type RJ9_HEADSET

    - #### WIRELESS_HANDSET

          public static final AudioDevice.Type WIRELESS_HANDSET

    - #### USB_HEADSET

          public static final AudioDevice.Type USB_HEADSET

  - ### Method Detail

    - #### values

          public static AudioDevice.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AudioDevice.Type c : AudioDevice.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AudioDevice.Type valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null